<?php
class ControllerModuleCzater extends Controller {
	private $error = array ();
	public function index() {
		$this->load->language ( 'module/Czater' );
		
		$this->document->setTitle ( $this->language->get ( 'heading_title' ) );
		
		$this->load->model ( 'setting/setting' );
		
		if (($this->request->server ['REQUEST_METHOD'] == 'POST') && $this->validate ()) {
			$this->model_setting_setting->editSetting ( 'Czater', $this->request->post );
			
			$this->session->data ['success'] = $this->language->get ( 'text_success' );
			
			$this->response->redirect ( $this->url->link ( 'module/Czater', 'token=' . $this->session->data ['token'], 'SSL' ) );
		}
		
		$data ['heading_title'] = $this->language->get ( 'heading_title' );
		$data ['entry_code'] = $this->language->get('entry_code');
		$data ['text_edit'] = $this->language->get ( 'text_edit' );
		
                
		$data ['text_enabled'] = $this->language->get ( 'text_enabled' );
		$data ['text_disabled'] = $this->language->get ( 'text_disabled' );
		
		$data ['entry_status'] = $this->language->get ( 'entry_status' );
		$data ['entry_autocompliteLogin'] = $this->language->get ( 'entry_autocompliteLogin' );
		$data ['entry_autocompliteEmail'] = $this->language->get ( 'entry_autocompliteEmail' );
                
		$data ['button_save'] = $this->language->get ( 'button_save' );
		$data ['button_cancel'] = $this->language->get ( 'button_cancel' );
		
		if (isset ( $this->error ['warning'] )) {
			$data ['error_warning'] = $this->error ['warning'];
		} else {
			$data ['error_warning'] = '';
		}
		
		$data ['breadcrumbs'] = array ();
		
		$data ['breadcrumbs'] [] = array (
				'text' => $this->language->get ( 'text_home' ),
				'href' => $this->url->link ( 'common/dashboard', 'token=' . $this->session->data ['token'], 'SSL' ) 
		);
		
		$data ['breadcrumbs'] [] = array (
				'text' => $this->language->get ( 'text_module' ),
				'href' => $this->url->link ( 'extension/module', 'token=' . $this->session->data ['token'], 'SSL' ) 
		);
		
		$data ['breadcrumbs'] [] = array (
				'text' => $this->language->get ( 'heading_title' ),
				'href' => $this->url->link ( 'module/Czater', 'token=' . $this->session->data ['token'], 'SSL' ) 
		);
		
		$data ['action'] = $this->url->link ( 'module/Czater', 'token=' . $this->session->data ['token'], 'SSL' );
		
		$data ['cancel'] = $this->url->link ( 'extension/module', 'token=' . $this->session->data ['token'], 'SSL' );
		

		if (isset ( $this->request->post ['Czater_code'] )) {
			$data ['Czater_code'] = $this->request->post ['Czater_code'];
		} else {
			$data ['Czater_code'] = $this->config->get ( 'Czater_code' );
		}
               
                if (isset ( $this->request->post ['Czater_status'] )) {
			$data ['Czater_status'] = $this->request->post ['Czater_status'];
		} else {
			$data ['Czater_status'] = $this->config->get ( 'Czater_status' );
		}
                if (isset ( $this->request->post ['Czater_autoCompliteLogin'] )) {
			$data ['Czater_autoCompliteLogin'] = $this->request->post ['Czater_autoCompliteLogin'];
		} else {
			$data ['Czater_autoCompliteLogin'] = $this->config->get ( 'Czater_autoCompliteLogin' );
		}
                if (isset ( $this->request->post ['Czater_autoCompliteEmail'] )) {
			$data ['Czater_autoCompliteEmail'] = $this->request->post ['Czater_autoCompliteEmail'];
		} else {
			$data ['Czater_autoCompliteEmail'] = $this->config->get ( 'Czater_autoCompliteEmail' );
		}
		
		$data ['header'] = $this->load->controller ( 'common/header' );
		$data ['column_left'] = $this->load->controller ( 'common/column_left' );
		$data ['footer'] = $this->load->controller ( 'common/footer' );
		
		$this->response->setOutput ( $this->load->view ( 'module/Czater.tpl', $data ) );
	}
	protected function validate() {
		if (! $this->user->hasPermission ( 'modify', 'module/Czater' )) {
			$this->error ['warning'] = $this->language->get ( 'error_permission' );
		}
		
		return ! $this->error;
	}
}